This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023622 - Horizon UI reports incorrect value for VCPU usage.
Horizon UI reports incorrect value for VCPU usage.
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: 3.0
Assigned To: Julie Pichon
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 03:42 EDT by Dharmit Shah
Modified: 2015-02-15 17:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 04:53:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dharmit Shah 2013-10-26 03:42:30 EDT
Description of problem:
Horizon reports incorrect value for the number of vcpus being used.

Version-Release number of selected component (if applicable):
python-django-horizon-2013.1.3-2.el6ost.noarch

How reproducible:
Always

Steps to Reproduce:
1. No specific steps. Attaching the screenshots
2.
3.

Actual results:
Horizon reports incorrect value for the number of VCPUs being used.

Expected results:
Horizon should report correct value for the number of VCPUs being used.

Additional info:
Comment 3 Matthias Runge 2013-11-18 03:28:21 EST
This bug was reported against 3.0 and only tested in 3.0.
Comment 4 Julie Pichon 2013-11-20 05:13:40 EST
Could you confirm which URL(s) are showing inconsistent numbers?

The screenshot attached to this bug report, horizon_inconsistent.png, shows the "Overview" page for the Admin dashboard (/dashboard/admin/), which is meant to show the state of the full system. The project dashboard (/dashboard/project/) on the other hand should only show the data for the selected 'Current project'.

For the numbers in themselves, Horizon normally displays what "nova usage" (for the project) and "nova usage-list" (for the admin view) returns: it would be helpful to also include the results for these commands in the report. Thank you.
Comment 11 Julie Pichon 2013-11-26 11:17:33 EST
Thank you for the additional information. It's confusing initially but the usage report displays historical data for the current month overall (as indicated by 'Select Current Month: October 2013'), up to the current day, and not what is the status right this moment. You can see a similar behaviour for the nova client command-line tool's output ("Usage from 2013-10-28 to 2013-11-26").

From Havana / RHOS 4.0 onwards it is possible to select a more precise date range via Horizon, down to a single day if desired which may help answer this kind of queries more precisely. As a workaround for now, start and end date can be specified in the nova client if needed (e.g. `nova usage-list --start 2013-10-01 --end 2013-10-31`).

Hope this helps to clarify things.
Comment 12 Julie Pichon 2013-12-09 04:53:40 EST
Closing based on the previous explanation.

Note You need to log in before you can comment on or make changes to this bug.